const { promiseGoWrapper } = require('./wrapper.js');

async function generateKey() {
    let privKey = await promiseGoWrapper(__gobridge__.generateSecp256k1Key, "");
    return privKey;
}

async function sign(message, privKeyData) {
    let sigData = await promiseGoWrapper(__gobridge__.sign, message, privKeyData);
    return sigData;
}

async function getPublicKey(privKeyData) {
    let pubKeyData = await promiseGoWrapper(__gobridge__.getPublicKey, privKeyData);
    return pubKeyData;
}

async function verify(message, pubKeyData, sigData) {
    let result = await promiseGoWrapper(__gobridge__.verify, message, pubKeyData, sigData);
    return result;
}

module.exports = {
    generateKey: generateKey,
    sign: sign,
    getPublicKey: getPublicKey,
    verify: verify,
}